Module
Contents
Index 🔎︎

# CInt Function

Pretvara bilo koji niz znakova ili broj u cijeli broj.

## Syntax:

    CInt (Izraz)

## Povratna vrijednost

Cijeli broj

## Parametri:

Expression: Any numeric expression that you want to convert. If the Expression exceeds the value range between -32768 and 32767, LibreOffice Basic reports an overflow error. To convert a string expression, the number must be entered as normal text ("123.5") using the default number format of your operating system.

Navedena funkcija uvijek zaokružuje decimalni dio najbližem cjelobrojnom broju.

## Error codes:

5 Invalid procedure call

## Primjer:

    Sub ExampleCountryConvert

        MsgBox CDbl(1234.5678)

        MsgBox CInt(1234.5678)

        MsgBox CLng(1234.5678)

    End Sub